import os

import testinfra.utils.ansible_runner

import warnings
warnings.filterwarnings("ignore", category=DeprecationWarning)

testinfra_hosts = testinfra.utils.ansible_runner.AnsibleRunner(
    os.environ['MOLECULE_INVENTORY_FILE']).get_hosts('all')


def test_python3_is_installed(host):
    python3 = host.package("python3")
    assert python3.is_installed

def test_python3_running_and_enabled(host):
    python3 = host.service("python3")
    assert python3.is_running
    assert python3.is_enabled

def test_python3_process(host):
    # Verify worker procs are running
    master = host.process.get(user="root", comm="python3")
    workers = host.process.filter(ppid=master.pid)
    assert len(workers) > 0

def test_python3_socket(host):
    # Verify the socket is listening for HTTP traffic
    assert host.socket("tcp://0.0.0.0:80").is_listening


